#! /bin/sh

if [ $# != 3 ]; then
    # TRANSLATE quoted string after echo command
    echo "p@: open_file.sh editor tmpfile file_name"
    exit 1
fi
editor=$1
tmpfile=$2
name=$3

#remove tmpfile.  We don't need the file, just the assurance of a unique name
rm -f $tmpfile

#process name to create a unique TFILE name that incorporates the 
#filename and version extended information.
short=`echo $name | sed -e 's:@@.*::' -e 's:.*/::'`
verinfo=`echo $name | sed -e 's:.*@@::' -e 's:/:_:g'`
TFILE="$tmpfile"_"$short""$verinfo"

#retrieve the cleartext info and store it in 
cleartool get -to $TFILE $name

#open editor on TFILE
$editor $TFILE

#remove temporary file after editor is closed
sleep 30
rm -f $TFILE
